summary refs log tree commit diff
path: root/install.sh
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2021-02-07 22:29:19 -0500
committerJune McEnroe <june@causal.agency>2021-02-07 22:29:19 -0500
commit8fe997d768cd45893b51c91d90ef33cab35b3e9b (patch)
tree32a34931220b02c0bf924eb48febfc7aed2f7f7a /install.sh
parentAdjust brightness by smaller increments (diff)
downloadsrc-8fe997d768cd45893b51c91d90ef33cab35b3e9b.tar.gz
src-8fe997d768cd45893b51c91d90ef33cab35b3e9b.zip
Add -X flag to install X stuff on OpenBSD
Diffstat (limited to 'install.sh')
-rw-r--r--install.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/install.sh b/install.sh
index 39b3380a..e05ea760 100644
--- a/install.sh
+++ b/install.sh
@@ -1,6 +1,14 @@
 #!/bin/sh
 set -eu
 
+X=
+while getopts 'X' opt; do
+	case "$opt" in
+		(X) X=1;;
+		(?) exit 1;;
+	esac
+done
+
 packages='curl htop neovim sl the_silver_searcher tree'
 
 FreeBSD() {
@@ -9,6 +17,7 @@ FreeBSD() {
 
 OpenBSD() {
 	doas pkg_add $packages
+	test $X && doas pkg_add imv scrot xcursor-dmz
 }
 
 Linux() {